> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.zignallabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.zignallabs.com/_mcp/server.

# Stories & Metadata v5

POST https://api.zignallabs.com/newsroom/v5/stories
Content-Type: application/json

Allows the retrieval of individual stories with meta-data for one or more Datasets, time range, optional sort order and a variety of filtering options.

Group and Issue filter options are limited to a maximum of 10 per filter. All other filter parameters that accept an array of terms are limited to a maximum of 50.

Each response is limited to 200 stories at a time. A 'next' token will be provided in the response that can be used to retrieve the next page of stories for the timeframe.

The response will contain the field `potential_impressions` if any impressions exist for the story, otherwise this field will be considered unknown and not included in the response.

- `gte` cannot be more than 100 days in the past.
- By default time is in UTC 'Z'. It can be modified replacing 'Z' with time offsets that can go from '+12:00' to '-12:00': `YYYY-MM-DDTHH:MM:SS±HH:MM`.
- Date values are optional. Default to the last 30 days when not specified.
- Pagination: For a given date (timestamp) range, the 'total' field indicates the number of stories that fit the request. Of those results, 0 to 200 will be returned in the response. If the total exceeds the 200 limit, a 'next' token will be returned allowing the user to get the next block of results.
- `next` is the token to retrieve the next page (if total results for request > 200).
- `sorted_by` allows results to be retrieved in the order they were created (default) or in the order they were persisted in the Zignal platform. Possible values: `persisted_at` and `created_at`. If `persisted_at` is provided, only the last 2 days can be queried.


Reference: https://docs.zignallabs.com/api-reference/data-api-newsroom/newsroom/get-stories-v-5

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: zignal-data-api-newsroom
  version: 1.0.0
paths:
  /newsroom/v5/stories:
    post:
      operationId: getStoriesV5
      summary: Stories & Metadata v5
      description: >
        Allows the retrieval of individual stories with meta-data for one or
        more Datasets, time range, optional sort order and a variety of
        filtering options.


        Group and Issue filter options are limited to a maximum of 10 per
        filter. All other filter parameters that accept an array of terms are
        limited to a maximum of 50.


        Each response is limited to 200 stories at a time. A 'next' token will
        be provided in the response that can be used to retrieve the next page
        of stories for the timeframe.


        The response will contain the field `potential_impressions` if any
        impressions exist for the story, otherwise this field will be considered
        unknown and not included in the response.


        - `gte` cannot be more than 100 days in the past.

        - By default time is in UTC 'Z'. It can be modified replacing 'Z' with
        time offsets that can go from '+12:00' to '-12:00':
        `YYYY-MM-DDTHH:MM:SS±HH:MM`.

        - Date values are optional. Default to the last 30 days when not
        specified.

        - Pagination: For a given date (timestamp) range, the 'total' field
        indicates the number of stories that fit the request. Of those results,
        0 to 200 will be returned in the response. If the total exceeds the 200
        limit, a 'next' token will be returned allowing the user to get the next
        block of results.

        - `next` is the token to retrieve the next page (if total results for
        request > 200).

        - `sorted_by` allows results to be retrieved in the order they were
        created (default) or in the order they were persisted in the Zignal
        platform. Possible values: `persisted_at` and `created_at`. If
        `persisted_at` is provided, only the last 2 days can be queried.
      tags:
        - newsroom
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                description: Any type
        '400':
          description: >
            Returned when the request contains invalid parameters:

            - `profiles` is missing, not an array, or contains more than 10 IDs

            - `gte` is not a valid date

            - `gte` is more than 100 days in the past

            - `gte` is after `lt`

            - `lt` is not a valid date

            - `order` string is not 'asc' or 'desc'

            - A filter parameter exceeds its maximum array length

            - Invalid filter parameter: `automation_score` outside valid range

            - Invalid filter parameter: `content` not one of the valid types

            - Invalid filter parameter: `entities` must be prefixed with
            'person:'/'place:'/'product:'/'organization:'

            - Invalid filter parameter: `geo_distance`/`geo_distance_reference`
            lat/lon must be valid

            - Invalid filter parameter: `geo_distance`/`geo_distance_reference`
            unit must be km or mi

            - Invalid filter parameter: `geo_distance`/`geo_distance_reference`
            unit must be less than 25mi or 40km
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: >
            Returned when the authenticated user is not authorized to access the
            requested profiles:

            - A profile ID in `profiles` is malformed or does not exist

            - The authenticated user does not have access to one or more
            profiles

            - The profiles in `profiles` do not all belong to the same campaign
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStoriesV5RequestForbiddenError'
        '404':
          description: >
            Returned when a referenced resource cannot be found:

            - The `smartFilterId` cannot be found

            - One or more group IDs in `groups` or `exclude_groups` cannot be
            found (missing IDs returned in error message)

            - One or more issue IDs in `issues` cannot be found (missing IDs
            returned in error message)
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                profiles:
                  type: array
                  items:
                    type: string
                  description: >-
                    Dataset (profile) IDs to query. Required. Must contain
                    between 1 and 10 IDs.
                gte:
                  type: string
                  description: >-
                    Inclusive start date for time range. ISO 8601 Format:
                    YYYY-MM-DDTHH:MM:SSZ
                lt:
                  type: string
                  description: >-
                    Exclusive end date for time range. ISO 8601 Format:
                    YYYY-MM-DDTHH:MM:SSZ
                keywords:
                  $ref: >-
                    #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaKeywords
                  description: Filter stories by keyword presence.
                entities:
                  $ref: >-
                    #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaEntities
                  description: >-
                    Filter by entities. Values must be prefixed with person:,
                    place:, product:, or organization:.
                groups:
                  type: array
                  items:
                    type: string
                  description: Include stories matching these group IDs (max 10).
                exclude_groups:
                  type: array
                  items:
                    type: string
                  description: Exclude stories matching these group IDs (max 10).
                issues:
                  $ref: >-
                    #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaIssues
                  description: Filter by issue IDs (max 10). Multiple IDs separated by '|'.
                source:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaSourceItems
                  description: Filter by source type and optional subtypes.
                threat_levels:
                  type: array
                  items:
                    type: integer
                  description: Filter by threat level (0-4).
                countries:
                  type: array
                  items:
                    type: string
                  description: Filter by country ISO codes (story location).
                states:
                  type: array
                  items:
                    type: string
                  description: Filter by state codes (story location).
                cities:
                  type: array
                  items:
                    type: string
                  description: Filter by city codes (story location).
                countries_reference:
                  type: array
                  items:
                    type: string
                  description: Filter by country ISO codes (reference location).
                states_reference:
                  type: array
                  items:
                    type: string
                  description: Filter by state codes (reference location).
                cities_reference:
                  type: array
                  items:
                    type: string
                  description: Filter by city codes (reference location).
                languages:
                  type: array
                  items:
                    type: string
                  description: Filter by language ISO codes.
                sentiment:
                  type: array
                  items:
                    type: string
                  description: Filter by sentiment classification.
                influence:
                  $ref: >-
                    #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaInfluence
                  description: Filter by influence score range.
                media_outlets:
                  type: array
                  items:
                    type: string
                  description: Filter by media outlet names.
                domains:
                  type: array
                  items:
                    type: string
                  description: Filter by link domains.
                story_domains:
                  type: array
                  items:
                    type: string
                  description: Filter by story domains.
                link_or_story_domains:
                  type: array
                  items:
                    type: string
                  description: Filter by link or story domains.
                authors:
                  type: array
                  items:
                    type: string
                  description: Filter by author names.
                original_authors:
                  type: array
                  items:
                    type: string
                  description: Filter by original author names.
                any_author:
                  type: array
                  items:
                    type: string
                  description: Filter by any author field.
                broadcast_dma:
                  type: array
                  items:
                    type: string
                  description: Filter by broadcast DMA regions.
                broadcast_station_name:
                  type: array
                  items:
                    type: string
                  description: Filter by broadcast station names.
                geo_distance:
                  $ref: >-
                    #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistance
                  description: >-
                    Filter by geographic proximity (story location). Max 25mi or
                    40km.
                geo_distance_reference:
                  $ref: >-
                    #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistanceReference
                  description: >-
                    Filter by geographic proximity (reference location). Max
                    25mi or 40km.
                exclude_press_releases:
                  type: boolean
                  description: Exclude press release stories from results.
                automation_score:
                  $ref: >-
                    #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaAutomationScore
                  description: Filter by automation/bot score range.
                content:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaContentItems
                  description: Filter by content type.
                sorted_by:
                  $ref: >-
                    #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaSortedBy
                  description: Sort order field.
                order:
                  $ref: >-
                    #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaOrder
                  description: Sort direction.
                smartFilterId:
                  type: string
                  description: Smart Filter ID.
                next:
                  type: string
                  description: Pagination token for next set of stories.
              required:
                - profiles
servers:
  - url: https://api.zignallabs.com
    description: https://api.zignallabs.com
components:
  schemas:
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaKeywords:
      type: object
      properties:
        mustinclude:
          type: array
          items:
            type: string
        include:
          type: array
          items:
            type: string
        exclude:
          type: array
          items:
            type: string
      description: Filter stories by keyword presence.
      title: NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaKeywords
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaEntities:
      type: object
      properties:
        mustinclude:
          type: array
          items:
            type: string
        include:
          type: array
          items:
            type: string
        exclude:
          type: array
          items:
            type: string
      description: >-
        Filter by entities. Values must be prefixed with person:, place:,
        product:, or organization:.
      title: NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaEntities
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaIssues:
      type: object
      properties:
        mustinclude:
          type: string
        include:
          type: string
        exclude:
          type: string
      description: Filter by issue IDs (max 10). Multiple IDs separated by '|'.
      title: NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaIssues
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaSourceItems:
      type: object
      properties:
        type:
          type: string
        subtype:
          type: array
          items:
            type: string
      title: NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaSourceItems
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaInfluence:
      type: object
      properties:
        min:
          type: integer
        max:
          type: integer
        unknown:
          type: boolean
      description: Filter by influence score range.
      title: NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaInfluence
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistanceGeo:
      type: object
      properties:
        lat:
          type: string
        lon:
          type: string
      title: >-
        NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistanceGeo
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistance:
      type: object
      properties:
        distance:
          type: string
        geo:
          $ref: >-
            #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistanceGeo
      description: Filter by geographic proximity (story location). Max 25mi or 40km.
      title: NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistance
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistanceReferenceGeo:
      type: object
      properties:
        lat:
          type: string
        lon:
          type: string
      title: >-
        NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistanceReferenceGeo
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistanceReference:
      type: object
      properties:
        distance:
          type: string
        geo:
          $ref: >-
            #/components/schemas/NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistanceReferenceGeo
      description: Filter by geographic proximity (reference location). Max 25mi or 40km.
      title: >-
        NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaGeoDistanceReference
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaAutomationScore:
      type: object
      properties:
        min:
          type: integer
        max:
          type: integer
        unknown:
          type: boolean
      description: Filter by automation/bot score range.
      title: >-
        NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaAutomationScore
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaContentItems:
      type: string
      enum:
        - photo
        - video
        - link
        - gif
      title: NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaContentItems
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaSortedBy:
      type: string
      enum:
        - created_at
        - persisted_at
      description: Sort order field.
      title: NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaSortedBy
    NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaOrder:
      type: string
      enum:
        - asc
        - desc
      description: Sort direction.
      title: NewsroomV5StoriesPostRequestBodyContentApplicationJsonSchemaOrder
    GetStoriesV5RequestForbiddenError:
      type: object
      properties:
        error:
          type: string
        name:
          type: string
        statusCode:
          type: integer
      title: GetStoriesV5RequestForbiddenError

```

## Examples



**Request**

```json
{
  "profiles": [
    "12345",
    "67890"
  ],
  "gte": "2026-05-11T00:00:00Z",
  "lt": "2026-05-18T00:00:00Z",
  "keywords": {
    "mustinclude": [
      "cybersecurity",
      "breach"
    ],
    "include": [
      "ransomware"
    ],
    "exclude": [
      "test"
    ]
  },
  "entities": {
    "mustinclude": [
      "person:Johnny Appleseed",
      "place:Narnia"
    ],
    "include": [
      "product:Holodeck"
    ],
    "exclude": [
      "organization:Acme Corporation"
    ]
  },
  "groups": [
    "grp-001",
    "grp-002"
  ],
  "exclude_groups": [
    "grp-003"
  ],
  "source": [
    {
      "type": "news"
    },
    {
      "type": "twitter",
      "subtype": [
        "reply",
        "quote"
      ]
    }
  ],
  "threat_levels": [
    3,
    4
  ],
  "countries": [
    "US",
    "GB"
  ],
  "languages": [
    "en",
    "es"
  ],
  "sentiment": [
    "positive",
    "negative"
  ],
  "influence": {
    "min": 50,
    "max": 100,
    "unknown": false
  },
  "sorted_by": "created_at",
  "order": "desc"
}
```

**SDK Code**

```python Newsroom_getStoriesV5_example
import requests

url = "https://api.zignallabs.com/newsroom/v5/stories"

payload = {
    "profiles": ["12345", "67890"],
    "gte": "2026-05-11T00:00:00Z",
    "lt": "2026-05-18T00:00:00Z",
    "keywords": {
        "mustinclude": ["cybersecurity", "breach"],
        "include": ["ransomware"],
        "exclude": ["test"]
    },
    "entities": {
        "mustinclude": ["person:Johnny Appleseed", "place:Narnia"],
        "include": ["product:Holodeck"],
        "exclude": ["organization:Acme Corporation"]
    },
    "groups": ["grp-001", "grp-002"],
    "exclude_groups": ["grp-003"],
    "source": [
        { "type": "news" },
        {
            "type": "twitter",
            "subtype": ["reply", "quote"]
        }
    ],
    "threat_levels": [3, 4],
    "countries": ["US", "GB"],
    "languages": ["en", "es"],
    "sentiment": ["positive", "negative"],
    "influence": {
        "min": 50,
        "max": 100,
        "unknown": False
    },
    "sorted_by": "created_at",
    "order": "desc"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Newsroom_getStoriesV5_example
const url = 'https://api.zignallabs.com/newsroom/v5/stories';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"profiles":["12345","67890"],"gte":"2026-05-11T00:00:00Z","lt":"2026-05-18T00:00:00Z","keywords":{"mustinclude":["cybersecurity","breach"],"include":["ransomware"],"exclude":["test"]},"entities":{"mustinclude":["person:Johnny Appleseed","place:Narnia"],"include":["product:Holodeck"],"exclude":["organization:Acme Corporation"]},"groups":["grp-001","grp-002"],"exclude_groups":["grp-003"],"source":[{"type":"news"},{"type":"twitter","subtype":["reply","quote"]}],"threat_levels":[3,4],"countries":["US","GB"],"languages":["en","es"],"sentiment":["positive","negative"],"influence":{"min":50,"max":100,"unknown":false},"sorted_by":"created_at","order":"desc"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Newsroom_getStoriesV5_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.zignallabs.com/newsroom/v5/stories"

	payload := strings.NewReader("{\n  \"profiles\": [\n    \"12345\",\n    \"67890\"\n  ],\n  \"gte\": \"2026-05-11T00:00:00Z\",\n  \"lt\": \"2026-05-18T00:00:00Z\",\n  \"keywords\": {\n    \"mustinclude\": [\n      \"cybersecurity\",\n      \"breach\"\n    ],\n    \"include\": [\n      \"ransomware\"\n    ],\n    \"exclude\": [\n      \"test\"\n    ]\n  },\n  \"entities\": {\n    \"mustinclude\": [\n      \"person:Johnny Appleseed\",\n      \"place:Narnia\"\n    ],\n    \"include\": [\n      \"product:Holodeck\"\n    ],\n    \"exclude\": [\n      \"organization:Acme Corporation\"\n    ]\n  },\n  \"groups\": [\n    \"grp-001\",\n    \"grp-002\"\n  ],\n  \"exclude_groups\": [\n    \"grp-003\"\n  ],\n  \"source\": [\n    {\n      \"type\": \"news\"\n    },\n    {\n      \"type\": \"twitter\",\n      \"subtype\": [\n        \"reply\",\n        \"quote\"\n      ]\n    }\n  ],\n  \"threat_levels\": [\n    3,\n    4\n  ],\n  \"countries\": [\n    \"US\",\n    \"GB\"\n  ],\n  \"languages\": [\n    \"en\",\n    \"es\"\n  ],\n  \"sentiment\": [\n    \"positive\",\n    \"negative\"\n  ],\n  \"influence\": {\n    \"min\": 50,\n    \"max\": 100,\n    \"unknown\": false\n  },\n  \"sorted_by\": \"created_at\",\n  \"order\": \"desc\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Newsroom_getStoriesV5_example
require 'uri'
require 'net/http'

url = URI("https://api.zignallabs.com/newsroom/v5/stories")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"profiles\": [\n    \"12345\",\n    \"67890\"\n  ],\n  \"gte\": \"2026-05-11T00:00:00Z\",\n  \"lt\": \"2026-05-18T00:00:00Z\",\n  \"keywords\": {\n    \"mustinclude\": [\n      \"cybersecurity\",\n      \"breach\"\n    ],\n    \"include\": [\n      \"ransomware\"\n    ],\n    \"exclude\": [\n      \"test\"\n    ]\n  },\n  \"entities\": {\n    \"mustinclude\": [\n      \"person:Johnny Appleseed\",\n      \"place:Narnia\"\n    ],\n    \"include\": [\n      \"product:Holodeck\"\n    ],\n    \"exclude\": [\n      \"organization:Acme Corporation\"\n    ]\n  },\n  \"groups\": [\n    \"grp-001\",\n    \"grp-002\"\n  ],\n  \"exclude_groups\": [\n    \"grp-003\"\n  ],\n  \"source\": [\n    {\n      \"type\": \"news\"\n    },\n    {\n      \"type\": \"twitter\",\n      \"subtype\": [\n        \"reply\",\n        \"quote\"\n      ]\n    }\n  ],\n  \"threat_levels\": [\n    3,\n    4\n  ],\n  \"countries\": [\n    \"US\",\n    \"GB\"\n  ],\n  \"languages\": [\n    \"en\",\n    \"es\"\n  ],\n  \"sentiment\": [\n    \"positive\",\n    \"negative\"\n  ],\n  \"influence\": {\n    \"min\": 50,\n    \"max\": 100,\n    \"unknown\": false\n  },\n  \"sorted_by\": \"created_at\",\n  \"order\": \"desc\"\n}"

response = http.request(request)
puts response.read_body
```

```java Newsroom_getStoriesV5_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.zignallabs.com/newsroom/v5/stories")
  .header("Content-Type", "application/json")
  .body("{\n  \"profiles\": [\n    \"12345\",\n    \"67890\"\n  ],\n  \"gte\": \"2026-05-11T00:00:00Z\",\n  \"lt\": \"2026-05-18T00:00:00Z\",\n  \"keywords\": {\n    \"mustinclude\": [\n      \"cybersecurity\",\n      \"breach\"\n    ],\n    \"include\": [\n      \"ransomware\"\n    ],\n    \"exclude\": [\n      \"test\"\n    ]\n  },\n  \"entities\": {\n    \"mustinclude\": [\n      \"person:Johnny Appleseed\",\n      \"place:Narnia\"\n    ],\n    \"include\": [\n      \"product:Holodeck\"\n    ],\n    \"exclude\": [\n      \"organization:Acme Corporation\"\n    ]\n  },\n  \"groups\": [\n    \"grp-001\",\n    \"grp-002\"\n  ],\n  \"exclude_groups\": [\n    \"grp-003\"\n  ],\n  \"source\": [\n    {\n      \"type\": \"news\"\n    },\n    {\n      \"type\": \"twitter\",\n      \"subtype\": [\n        \"reply\",\n        \"quote\"\n      ]\n    }\n  ],\n  \"threat_levels\": [\n    3,\n    4\n  ],\n  \"countries\": [\n    \"US\",\n    \"GB\"\n  ],\n  \"languages\": [\n    \"en\",\n    \"es\"\n  ],\n  \"sentiment\": [\n    \"positive\",\n    \"negative\"\n  ],\n  \"influence\": {\n    \"min\": 50,\n    \"max\": 100,\n    \"unknown\": false\n  },\n  \"sorted_by\": \"created_at\",\n  \"order\": \"desc\"\n}")
  .asString();
```

```php Newsroom_getStoriesV5_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.zignallabs.com/newsroom/v5/stories', [
  'body' => '{
  "profiles": [
    "12345",
    "67890"
  ],
  "gte": "2026-05-11T00:00:00Z",
  "lt": "2026-05-18T00:00:00Z",
  "keywords": {
    "mustinclude": [
      "cybersecurity",
      "breach"
    ],
    "include": [
      "ransomware"
    ],
    "exclude": [
      "test"
    ]
  },
  "entities": {
    "mustinclude": [
      "person:Johnny Appleseed",
      "place:Narnia"
    ],
    "include": [
      "product:Holodeck"
    ],
    "exclude": [
      "organization:Acme Corporation"
    ]
  },
  "groups": [
    "grp-001",
    "grp-002"
  ],
  "exclude_groups": [
    "grp-003"
  ],
  "source": [
    {
      "type": "news"
    },
    {
      "type": "twitter",
      "subtype": [
        "reply",
        "quote"
      ]
    }
  ],
  "threat_levels": [
    3,
    4
  ],
  "countries": [
    "US",
    "GB"
  ],
  "languages": [
    "en",
    "es"
  ],
  "sentiment": [
    "positive",
    "negative"
  ],
  "influence": {
    "min": 50,
    "max": 100,
    "unknown": false
  },
  "sorted_by": "created_at",
  "order": "desc"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Newsroom_getStoriesV5_example
using RestSharp;

var client = new RestClient("https://api.zignallabs.com/newsroom/v5/stories");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"profiles\": [\n    \"12345\",\n    \"67890\"\n  ],\n  \"gte\": \"2026-05-11T00:00:00Z\",\n  \"lt\": \"2026-05-18T00:00:00Z\",\n  \"keywords\": {\n    \"mustinclude\": [\n      \"cybersecurity\",\n      \"breach\"\n    ],\n    \"include\": [\n      \"ransomware\"\n    ],\n    \"exclude\": [\n      \"test\"\n    ]\n  },\n  \"entities\": {\n    \"mustinclude\": [\n      \"person:Johnny Appleseed\",\n      \"place:Narnia\"\n    ],\n    \"include\": [\n      \"product:Holodeck\"\n    ],\n    \"exclude\": [\n      \"organization:Acme Corporation\"\n    ]\n  },\n  \"groups\": [\n    \"grp-001\",\n    \"grp-002\"\n  ],\n  \"exclude_groups\": [\n    \"grp-003\"\n  ],\n  \"source\": [\n    {\n      \"type\": \"news\"\n    },\n    {\n      \"type\": \"twitter\",\n      \"subtype\": [\n        \"reply\",\n        \"quote\"\n      ]\n    }\n  ],\n  \"threat_levels\": [\n    3,\n    4\n  ],\n  \"countries\": [\n    \"US\",\n    \"GB\"\n  ],\n  \"languages\": [\n    \"en\",\n    \"es\"\n  ],\n  \"sentiment\": [\n    \"positive\",\n    \"negative\"\n  ],\n  \"influence\": {\n    \"min\": 50,\n    \"max\": 100,\n    \"unknown\": false\n  },\n  \"sorted_by\": \"created_at\",\n  \"order\": \"desc\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Newsroom_getStoriesV5_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "profiles": ["12345", "67890"],
  "gte": "2026-05-11T00:00:00Z",
  "lt": "2026-05-18T00:00:00Z",
  "keywords": [
    "mustinclude": ["cybersecurity", "breach"],
    "include": ["ransomware"],
    "exclude": ["test"]
  ],
  "entities": [
    "mustinclude": ["person:Johnny Appleseed", "place:Narnia"],
    "include": ["product:Holodeck"],
    "exclude": ["organization:Acme Corporation"]
  ],
  "groups": ["grp-001", "grp-002"],
  "exclude_groups": ["grp-003"],
  "source": [
    ["type": "news"],
    [
      "type": "twitter",
      "subtype": ["reply", "quote"]
    ]
  ],
  "threat_levels": [3, 4],
  "countries": ["US", "GB"],
  "languages": ["en", "es"],
  "sentiment": ["positive", "negative"],
  "influence": [
    "min": 50,
    "max": 100,
    "unknown": false
  ],
  "sorted_by": "created_at",
  "order": "desc"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.zignallabs.com/newsroom/v5/stories")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```